%global momorel 1
%global md5sum_src0 fd06c8b8e3572a0e14af65a49e0dd7d1
%define pkgname x11perf
Summary: X.Org X11 %{pkgname}
Name: xorg-x11-%{pkgname}
Version: 1.4.1
Release: %{momorel}m%{?dist}
License: MIT/X
Group: User Interface/X
URL: http://www.x.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%global xorgurl http://xorg.freedesktop.org/releases/individual
%NoSource 0  %{xorgurl}/app/%{pkgname}-%{version}.tar.bz2 %{md5sum_src0}
Patch0: x11perf-1.4.1-x11perf-datadir-cleanups.patch
BuildRequires: pkgconfig
BuildRequires: libX11-devel
BuildRequires: libXmu-devel
BuildRequires: libXrender-devel
BuildRequires: libXft-devel
BuildRequires: libXext-devel

%description
%{pkgname}

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1 -b .cleanups

%build
%configure
%make

%install
rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/%{pkgname}
%{_bindir}/x11perfcomp
%{_libdir}/X11/x11perfcomp/Xmark
%{_libdir}/X11/x11perfcomp/fillblnk
%{_libdir}/X11/x11perfcomp/perfboth
%{_libdir}/X11/x11perfcomp/perfratio
%{_mandir}/man1/%{pkgname}.1x*
%{_mandir}/man1/Xmark.1x.*
%{_mandir}/man1/x11perfcomp.1x.*

%changelog
* Thu Nov  2 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.1-1m)
- sepalated from xorg-x11-apps
